## org.apache.batik.css.parser
Class AbstractCombinatorCondition

    java.lang.Object
      org.apache.batik.css.parser.AbstractCombinatorCondition

All Implemented Interfaces:
  CombinatorCondition, Condition

Direct Known Subclasses:
  DefaultAndCondition

public abstract class AbstractCombinatorCondition
extends java.lang.Object
implements CombinatorCondition

This class provides an abstract implementation of the `CombinatorCondition` interface.

Field Summary
`protected Condition` `firstCondition` The first condition.
`protected Condition` `secondCondition` The second condition.

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`protected` `AbstractCombinatorCondition(Condition c1, Condition c2)` Creates a new CombinatorCondition object.

Method Summary
`Condition` `getFirstCondition()` SAC: Implements `CombinatorCondition.getFirstCondition()`.
`Condition` `getSecondCondition()` SAC: Implements `CombinatorCondition.getSecondCondition()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.css.sac.Condition
`getConditionType`

Field Detail

### firstCondition

    protected Condition firstCondition

  The first condition.

### secondCondition

    protected Condition secondCondition

  The second condition.

Constructor Detail

### AbstractCombinatorCondition

    protected AbstractCombinatorCondition(Condition c1,
                                          Condition c2)

  Creates a new CombinatorCondition object.

Method Detail

### getFirstCondition

    public Condition getFirstCondition()

  SAC: Implements `CombinatorCondition.getFirstCondition()`.

  Specified by:
    `getFirstCondition` in interface `CombinatorCondition`

### getSecondCondition

    public Condition getSecondCondition()

  SAC: Implements `CombinatorCondition.getSecondCondition()`.

  Specified by:
    `getSecondCondition` in interface `CombinatorCondition`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.